Package org.apache.commons.dbutils.handlers

## Class BeanListHandler<T>

- java.lang.Object
- - org.apache.commons.dbutils.handlers.BeanListHandler<T>

- Type Parameters:
    `T` - the target bean type
  All Implemented Interfaces:
    `ResultSetHandler<List<T>>`

      public class BeanListHandler<T>
      extends Object
      implements ResultSetHandler<List<T>>

  `ResultSetHandler` implementation that converts a `ResultSet` into a `List` of beans. This class is thread safe.
  See Also:
    `ResultSetHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanListHandler​(Class<? extends T> type)` | Creates a new instance of BeanListHandler.
    `BeanListHandler​(Class<? extends T> type, RowProcessor convert)` | Creates a new instance of BeanListHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<T>` | `handle​(ResultSet resultSet)` | Convert the whole `ResultSet` into a List of beans with the `Class` given in the constructor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanListHandler

          public BeanListHandler​(Class<? extends T> type)

      Creates a new instance of BeanListHandler.
      Parameters:
        `type` - The Class that objects returned from `handle()` are created from.

    - #### BeanListHandler

          public BeanListHandler​(Class<? extends T> type,
                                 RowProcessor convert)

      Creates a new instance of BeanListHandler.
      Parameters:
        `type` - The Class that objects returned from `handle()` are created from.
        `convert` - The `RowProcessor` implementation to use when converting rows into beans.

  - ### Method Detail

    - #### handle

          public List<T> handle​(ResultSet resultSet)
                         throws SQLException

      Convert the whole `ResultSet` into a List of beans with the `Class` given in the constructor.
      Specified by:
        `handle` in interface `ResultSetHandler<T>`
      Parameters:
        `resultSet` - The `ResultSet` to handle.
      Returns:
        A List of beans, never `null`.
      Throws:
        `SQLException` - if a database access error occurs
      See Also:
        `RowProcessor.toBeanList(ResultSet, Class)`